classification
Title: optparse enable_interspersed_args disable_interspersed_args
Type: Stage:
Components: Documentation Versions: Python 2.4
process
Status: closed Resolution: accepted
Dependencies: Superseder:
Assigned To: akuchling Nosy List: akuchling, barry, gward, rockyb
Priority: normal Keywords: patch

Created on 2006-01-26 16:00 by rockyb, last changed 2008-10-05 01:07 by akuchling. This issue is now closed.

Files
File name Uploaded Description Edit
optparse-interspersed.diff rockyb, 2006-01-26 16:00
Messages (3)
msg49414 - (view) Author: Rocky Bernstein (rockyb) Date: 2006-01-26 16:00
This patch documents that behavior of optparse's
enable_interspersed_args and disable_interspersed_args
methods by adding docstrings to the methods and by
adding information in the Python Library Reference.
msg73953 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-09-28 01:11
Added to the documentation in rev. 66663; thanks for your
patch!

Barry, there's also a patch adding two docstrings 
to optparse.py.  Is it
OK to add docstrings at the rc level, or should I wait until
the trunk is re-opened for 2.7?  (Actually, I have a few unrelated
docstring changes?)
msg74332 - (view) Author: A.M. Kuchling (akuchling) * (Python committer) Date: 2008-10-05 01:07
Docstring portion of the patch applied to the trunk in rev. 
66804; the change will appear in Python 2.6.1 and 2.7.  Thanks!
History
Date User Action Args
2008-10-05 01:07:12akuchlingsetstatus: open -> closed
resolution: accepted
messages: + msg74332
2008-09-28 01:17:18akuchlingsetassignee: gward -> akuchling
2008-09-28 01:11:28akuchlingsetnosy: + barry, akuchling
messages: + msg73953
2006-01-26 16:00:42rockybcreate